webdev:
  restart: always
  build: ./webdev
  command: /usr/local/bin/gunicorn prjannot.wsgi:application -w 2 -b :8000 --timeout 960
  expose:
    - "8000"
  env_file: pgsql.env
  volumes:
    - /Users/buchere/src/src_dev4/annot/web:/usr/src/app
  volumes_from:
    - fsdata
  links:
    - db:db

nginxdev:
  restart: always
  build: ./nginxdev
  ports:
    - "80:80"
    - "21:21"
  volumes:
    - /Users/buchere/src/src_dev4/annot/nginxdev/annotnginx.conf:/etc/nginx/nginx.conf
  volumes_from:
    - webdev
  links:
    - webdev:webdev

db:
  restart: always
  image: postgres:latest
  ports:
    - "5432:5432"
  volumes_from:
    - dbdata

dbdata:
  restart: "no"
  build: ./dbdata

fsdata:
  restart: "no"
  build: ./fsdata
